from openhltest_client.base import Base


class Password(Base):
	"""Authentication password.
	"""
	YANG_NAME = 'password'
	YANG_KEYWORD = 'container'
	YANG_KEY = None
	YANG_PROPERTY_MAP = {"ValueList": "value-list", "Single": "single", "PatternType": "pattern-type", "PatternFormat": "pattern-format", "String": "string"}

	def __init__(self, parent):
		super(Password, self).__init__(parent)

	@property
	def PatternFormat(self):
		"""Refine this leaf value with a regex

		Returns:
			string

		Raises (setter only):
			ValueError
			InvalidValueError
		"""
		return self._get_value('pattern-format')
	@PatternFormat.setter
	def PatternFormat(self, value):
		return self._set_value('pattern-format', value)

	@property
	def PatternType(self):
		"""TBD

		Returns:
			enumeration

		Raises (setter only):
			ValueError
			InvalidValueError
		"""
		return self._get_value('pattern-type')
	@PatternType.setter
	def PatternType(self, value):
		return self._set_value('pattern-type', value)

	@property
	def Single(self):
		"""TBD

		Returns:
			string

		Raises (setter only):
			ValueError
			InvalidValueError
		"""
		return self._get_value('single')
	@Single.setter
	def Single(self, value):
		return self._set_value('single', value)

	@property
	def String(self):
		"""Vendor specific string patterns

		Returns:
			string

		Raises (setter only):
			ValueError
			InvalidValueError
		"""
		return self._get_value('string')
	@String.setter
	def String(self, value):
		return self._set_value('string', value)

	@property
	def ValueList(self):
		"""TBD

		Returns:
			string

		Raises (setter only):
			ValueError
			InvalidValueError
		"""
		return self._get_value('value-list')
	@ValueList.setter
	def ValueList(self, value):
		return self._set_value('value-list', value)

	def update(self, PatternFormat=None, PatternType=None, Single=None, String=None, ValueList=None):
		"""Update the current instance of the `password` resource

		Args:
			PatternFormat (string): Refine this leaf value with a regex
			PatternType (enumeration): TBD
			Single (string): TBD
			String (string): Vendor specific string patterns
			ValueList (string): TBD
		"""
		return self._update(locals())

